diff -ruN uppsrc/CtrlCore/lay.h uppsrc/CtrlCore/lay.h
--- uppsrc/CtrlCore/lay.h	2011-05-28 10:31:08 +0400
+++ uppsrc/CtrlCore/lay.h	2013-06-01 11:48:44 +0400
@@ -14,7 +14,8 @@
 
 #define LAYOUT(name, x, y)       template<class T> \
 	                             struct With##name : public T, public name##__layid { \
-										static UPP::Size GetLayoutSize() { return UPP::Ctrl::LayoutZoom(x, y); }
+										static UPP::Size GetLayoutSize(bool zoom = true) \
+										{ return zoom ? UPP::Ctrl::LayoutZoom(x, y) : UPP::Size(x, y); }
 #define UNTYPED(variable, param)
 #define ITEM(classname, var, param)     classname var;
 #define END_LAYOUT               };
diff -ruN uppsrc/CtrlCore/TopWindow.h uppsrc/CtrlCore/TopWindow.h
--- uppsrc/CtrlCore/TopWindow.h	2013-01-22 23:04:33 +0400
+++ uppsrc/CtrlCore/TopWindow.h	2013-06-01 11:49:49 +0400
@@ -190,44 +190,44 @@
 }
 
 template <class T>
-void CtrlLayout(T& ctrl) {
+void CtrlLayout(T& ctrl, bool zoom = true) {
 	InitLayout(ctrl, ctrl, ctrl, ctrl);
-	Size sz = ctrl.AddFrameSize(T::GetLayoutSize());
+	Size sz = ctrl.AddFrameSize(T::GetLayoutSize(zoom));
 	ctrl.SetMinSize(sz);
 	ctrl.SetRect(sz);
 }
 
 template <class T>
-void CtrlLayout(T& ctrl, const char *title) {
-	CtrlLayout(ctrl);
+void CtrlLayout(T& ctrl, const char *title, bool zoom = true) {
+	CtrlLayout(ctrl, zoom);
 	ctrl.Title(title);
 }
 
 template <class T>
-void CtrlLayoutOK(T& ctrl, const char *title) {
-	CtrlLayout(ctrl, title);
+void CtrlLayoutOK(T& ctrl, const char *title, bool zoom = true) {
+	CtrlLayout(ctrl, title, zoom);
 	ctrl.Acceptor(ctrl.ok, IDOK);
 	ctrl.ok.Ok();
 }
 
 template <class T>
-void CtrlLayoutCancel(T& ctrl, const char *title) {
-	CtrlLayout(ctrl, title);
+void CtrlLayoutCancel(T& ctrl, const char *title, bool zoom = true) {
+	CtrlLayout(ctrl, title, zoom);
 	ctrl.Rejector(ctrl.cancel, IDCANCEL);
 	ctrl.cancel.Cancel();
 }
 
 template <class T>
-void CtrlLayoutOKCancel(T& ctrl, const char *title) {
-	CtrlLayoutOK(ctrl, title);
+void CtrlLayoutOKCancel(T& ctrl, const char *title, bool zoom = true) {
+	CtrlLayoutOK(ctrl, title, zoom);
 	ctrl.Rejector(ctrl.cancel, IDCANCEL);
 	ctrl.cancel.Cancel();
 	ArrangeOKCancel(ctrl.ok, ctrl.cancel);
 }
 
 template <class T>
-void CtrlLayoutExit(T& ctrl, const char *title) {
-	CtrlLayout(ctrl, title);
+void CtrlLayoutExit(T& ctrl, const char *title, bool zoom = true) {
+	CtrlLayout(ctrl, title, zoom);
 	ctrl.Acceptor(ctrl.exit, IDEXIT);
 	ctrl.exit.Exit();
 }
